/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-20 11:02:44.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.DeviceRecord;
import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.repository.DeviceRecordRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

/**
 * 设备访问记录Service
 */
@Service
public class DeviceRecordService {
    private static Logger log = LoggerFactory.getLogger(DeviceRecordService.class);
    @Autowired
    private DeviceRecordRepository deviceRecordRepository;

    public Result<Page<DeviceRecord>> getDeviceRecordList(DeviceRecord params) {
        Specification<DeviceRecord> spec = null;
        Pageable pageable = null;
        Page<DeviceRecord> page = deviceRecordRepository.findAll(spec, pageable);
        return new Result<>().success(page);
    }

    @Async
    public void addDeviceRecord(DeviceRecord deviceRecord) {
        Assert.notNull(deviceRecord, "DeviceRecord must not be null.");
        deviceRecordRepository.save(deviceRecord);
    }

}